NewWacht Bench is live — AI-assisted development for Wacht
POST
/webhooks/event-catalogs/{slug}/append-events

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

slug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks/event-catalogs/string/append-events" \  -H "Content-Type: application/json" \  -d '{    "events": [      {        "name": "string",        "description": "string"      }    ]  }'
{  "deployment_id": "string",  "slug": "string",  "name": "string",  "description": "string",  "events": null,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}